<%= form_with model: reading, local: true do |reading_form| %>
    <%= render 'components/errors', object: reading %>
    
    <p>
	<%= reading_form.label :kwh %>
	<%= reading_form.text_field :kwh, value: (reading.register.readings.last.kwh.to_s(:rounded, precision: reading.register.register_decimals) if  reading.register.readings.any?) %>
    </p>
    <p>
	<%= reading_form.hidden_field :register_id, value: reading.register.id %>
    </p>
    <p>
	<%= reading_form.label :read_at %>
	<%= reading_form.text_field :read_at, value: Time.current, readonly: true %>
    </p>
    <p>
	<%= reading_form.submit %>
    </p>
    </tr>
<% end %>
